Cannot find builtin plugin 'AntSupport' for IDE

Hello,

I'm currently working on updating eclipser plugin developed by kukido. This plugin is designed to automatically convert eclipse launch configurations into IntelliJ Idea configurations. 

The official build does not support the latest Intellij, So I updated the versions at different places , and tried building the project, but it complains about the “AntSupport” plugin.

org.gradle.tooling.BuildException: Cannot find builtin plugin 'AntSupport' for IDE: C:\Users\sukumar\.gradle\caches\modules-2\files-2.1\com.jetbrains.intellij.idea\ideaIC\2023.3\6105b81c6142f62379ad6c5afb542c77350a71eb\ideaIC-2023.3
	at org.jetbrains.intellij.dependency.PluginDependencyManager.resolve(PluginDependencyManager.kt:53)
	at org.jetbrains.intellij.IntelliJPlugin.configurePluginDependencies(IntelliJPlugin.kt:1654)
	at org.jetbrains.intellij.IntelliJPlugin.access$configurePluginDependencies(IntelliJPlugin.kt:135)
	at org.jetbrains.intellij.IntelliJPlugin$configureDependencies$ideaPlugins$1.execute(IntelliJPlugin.kt:334)
	at org.jetbrains.intellij.IntelliJPlugin$configureDependencies$ideaPlugins$1.execute(IntelliJPlugin.kt:333)
	at org.gradle.internal.ImmutableActionSet$SetWithFewActions.execute(ImmutableActionSet.java:285)
	at org.gradle.api.internal.artifacts.configurations.DefaultConfiguration.runDependencyActions(DefaultConfiguration.java:521)
	at org.gradle.api.internal.artifacts.configurations.DefaultConfiguration.runDependencyActions(DefaultConfiguration.java:528)
	at org.gradle.api.internal.artifacts.configurations.DefaultConfiguration.runDependencyActions(Defaul

I am attaching the project folder(Upload id: 2024_02_27_zGAxdyoKVVESJsE4FbmUDr (file: eclipser.zip)). Any help would be appreciated.

1

Looks like I managed to build the plugin I had to use 2023.2 IC plugins folder instead of 2023.3. This does not have all the plugins.

0

请先登录再写评论。